curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/employee_benefit_types \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.nmbr.co/services/payroll/employee_benefit_types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.nmbr.co/services/payroll/employee_benefit_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "accident_insurance_plan",
"label": "Accidental Death and Dismemberment",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/employee_benefit_types/accident_insurance_plan"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "critical_illness",
"label": "Critical Illness",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/employee_benefit_types/critical_illness"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "debt_relief",
"label": "Debt Relief",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/employee_benefit_types/debt_relief"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "dental",
"label": "Dental",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": [
{
"form": "t4",
"form_label": "T4",
"mapping": [
[
{
"name": "85",
"help_text": "Employee Paid Premiums for Private Health Services Plans",
"jurisdictions": [
"ca_ab",
"ca_bc",
"ca_mb",
"ca_nb",
"ca_nl",
"ca_ns",
"ca_nt",
"ca_nu",
"ca_on",
"ca_pe",
"ca_qc",
"ca_sk",
"ca_yt"
]
}
]
]
},
{
"form": "rl1",
"form_label": "RL-1",
"mapping": [
[
{
"name": "235",
"help_text": null,
"jurisdictions": [
"ca_ab",
"ca_bc",
"ca_mb",
"ca_nb",
"ca_nl",
"ca_ns",
"ca_nt",
"ca_nu",
"ca_on",
"ca_pe",
"ca_qc",
"ca_sk",
"ca_yt"
]
}
]
]
}
]
},
"links": {
"self": "/employee_benefit_types/dental"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "employee_assistance_program",
"label": "Employee Assistance Program",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": [
{
"form": "t4",
"form_label": "T4",
"mapping": [
[
{
"name": "85",
"help_text": "Employee Paid Premiums for Private Health Services Plans",
"jurisdictions": [
"ca_ab",
"ca_bc",
"ca_mb",
"ca_nb",
"ca_nl",
"ca_ns",
"ca_nt",
"ca_nu",
"ca_on",
"ca_pe",
"ca_qc",
"ca_sk",
"ca_yt"
]
}
]
]
},
{
"form": "rl1",
"form_label": "RL-1",
"mapping": [
[
{
"name": "235",
"help_text": null,
"jurisdictions": [
"ca_ab",
"ca_bc",
"ca_mb",
"ca_nb",
"ca_nl",
"ca_ns",
"ca_nt",
"ca_nu",
"ca_on",
"ca_pe",
"ca_qc",
"ca_sk",
"ca_yt"
]
}
]
]
}
]
},
"links": {
"self": "/employee_benefit_types/employee_assistance_program"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "fondaction",
"label": "Fondactions",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_ab",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_bc",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_mb",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nb",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nl",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_ns",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nt",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nu",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_on",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_pe",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_qc",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Québec credit.",
"program_label": null
},
{
"jurisdiction": "ca_sk",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_yt",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_oc",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
}
]
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/employee_benefit_types/fondaction"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "fondaction_rrsp",
"label": "Fondactions (RRSP)",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_ab",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_bc",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_mb",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nb",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nl",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_ns",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nt",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nu",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_on",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_pe",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_qc",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Québec credit.",
"program_label": null
},
{
"jurisdiction": "ca_sk",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_yt",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_oc",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
}
]
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/employee_benefit_types/fondaction_rrsp"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "fonds_solidarite_ftq",
"label": "Fonds de solidarité FTQ",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_ab",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_bc",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_mb",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nb",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nl",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_ns",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nt",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nu",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_on",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_pe",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_qc",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Québec credit.",
"program_label": null
},
{
"jurisdiction": "ca_sk",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_yt",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_oc",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
}
]
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/employee_benefit_types/fonds_solidarite_ftq"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "fonds_solidarite_ftq_rrsp",
"label": "Fonds de solidarité FTQ (RRSP)",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": [
{
"jurisdiction": "ca_federal",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_ab",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_bc",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_mb",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nb",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nl",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_ns",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nt",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_nu",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_on",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_pe",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_qc",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Québec credit.",
"program_label": null
},
{
"jurisdiction": "ca_sk",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_yt",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
},
{
"jurisdiction": "ca_oc",
"effects": [
"tax_credit"
],
"help_text": "LSF contribution with 30% combined Federal & Provincial credit.",
"program_label": null
}
]
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/employee_benefit_types/fonds_solidarite_ftq_rrsp"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "group_dependent_life_insurance",
"label": "Group Dependent Life Insurance",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/employee_benefit_types/group_dependent_life_insurance"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "group_term_life_insurance",
"label": "Group Term Life Insurance",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/employee_benefit_types/group_term_life_insurance"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "health",
"label": "Health",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": [
{
"form": "t4",
"form_label": "T4",
"mapping": [
[
{
"name": "85",
"help_text": "Employee Paid Premiums for Private Health Services Plans",
"jurisdictions": [
"ca_ab",
"ca_bc",
"ca_mb",
"ca_nb",
"ca_nl",
"ca_ns",
"ca_nt",
"ca_nu",
"ca_on",
"ca_pe",
"ca_qc",
"ca_sk",
"ca_yt"
]
}
]
]
},
{
"form": "rl1",
"form_label": "RL-1",
"mapping": [
[
{
"name": "235",
"help_text": null,
"jurisdictions": [
"ca_ab",
"ca_bc",
"ca_mb",
"ca_nb",
"ca_nl",
"ca_ns",
"ca_nt",
"ca_nu",
"ca_on",
"ca_pe",
"ca_qc",
"ca_sk",
"ca_yt"
]
}
]
]
}
]
},
"links": {
"self": "/employee_benefit_types/health"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "health_spending_account",
"label": "Health Spending Account (HSA)",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/employee_benefit_types/health_spending_account"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "long_term_disability",
"label": "Long-Term Disability (Group Plan)",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/employee_benefit_types/long_term_disability"
}
},
{
"id": "<id>",
"object": "employee_benefit_type",
"data": {
"type": "non_group_long_term_disability",
"label": "Long-Term Disability (Non-Group Plan)",
"features": [
{
"type": "income_tax",
"label": "Income Tax",
"definitions": []
},
{
"type": "pensionable",
"label": "Pensionable (CPP/QPP)",
"definitions": []
},
{
"type": "insurable",
"label": "Insurable (EI/QPIP)",
"definitions": []
},
{
"type": "wcb",
"label": "WCB",
"definitions": []
},
{
"type": "eht",
"label": "EPT",
"definitions": []
},
{
"type": "vacationable",
"label": "Vacationable",
"definitions": []
},
{
"type": "stat_payable",
"label": "Included in Statutory Holiday Pay",
"definitions": []
}
],
"form_mappings": []
},
"links": {
"self": "/employee_benefit_types/non_group_long_term_disability"
}
}
],
"links": {
"first": "/employee_benefit_types?features=ca&page=1",
"last": "/employee_benefit_types?features=ca&page=3",
"prev": null,
"next": "/employee_benefit_types?features=ca&page=2"
},
"meta": {
"current_page": 1,
"last_page": 3,
"per_page": 15,
"total": 31,
"has_more": true
}
}List employee benefit types
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Country code that adds each type's payroll calculations to the response, as the features and form_mappings fields. Currently only ca is supported. See Line item type features.
CA, GB Comma-separated list of type identifiers to return.
Case-insensitive substring match against the human-readable label, in any supported locale.
Response
OK
The type of the object in Nmbr ("list").
Hide child attributes
Hide child attributes
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("employee_benefit_type").
Hide child attributes
Hide child attributes
The string identifier for this employee benefit type.
The human-readable display name for this employee benefit type.
Hide child attributes
Hide child attributes
The payroll calculation this entry describes.
eht, income_tax, insurable, pensionable, stat_payable, vacationable, wcb Human-readable name for the payroll calculation.
How this type affects the calculation, broken down by jurisdiction. Jurisdictions where it does not apply are omitted.
Hide child attributes
Hide child attributes
The jurisdiction this applies to (e.g. ca_federal, ca_on, ca_qc).
How this type affects the payroll calculation in this jurisdiction.
accrues_vacation_pay, included_in_stat_holiday_pay, reduces_base, tax_credit, withholding Plain-language explanation of how this type affects the calculation in this jurisdiction.
The program that applies in this jurisdiction, for calculations that use different programs by jurisdiction (e.g. CPP federally, QPP in Quebec; EI federally, QPIP in Quebec).
Hide child attributes
Hide child attributes
The form code (e.g. t4).
Human-readable form name.
The boxes on the form this type contributes to in at least one province.
Hide child attributes
Hide child attributes
The box or line identifier on the form.
Plain-language explanation of the box, when available.
The provinces of employment where amounts of this type are reported in this box. Most types report the same boxes in every province; a few, such as Quebec tips, do not.
The province of employment (e.g. ca_on, ca_qc).

